

# StartMetricsExport
<a name="API_StartMetricsExport"></a>

Initiates the export task of metrics.

## Request Syntax
<a name="API_StartMetricsExport_RequestSyntax"></a>

```
POST /start-metrics-export HTTP/1.1
Content-type: application/json

{
   "bucketName": "string",
   "clientToken": "string"
}
```

## URI Request Parameters
<a name="API_StartMetricsExport_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_StartMetricsExport_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [bucketName](#API_StartMetricsExport_RequestSyntax) **   <a name="resiliencehub-StartMetricsExport-request-bucketName"></a>
(Optional) Specifies the name of the Amazon Simple Storage Service bucket where the exported metrics will be stored.  
Type: String  
Pattern: `[A-Za-z0-9][A-Za-z0-9_\-]{1,59}`   
Required: No

 ** [clientToken](#API_StartMetricsExport_RequestSyntax) **   <a name="resiliencehub-StartMetricsExport-request-clientToken"></a>
Used for an idempotency token. A client token is a unique, case-sensitive string of up to 64 ASCII characters. You should not reuse the same client token for other API requests.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 63.  
Pattern: `[A-Za-z0-9_.-]{0,63}`   
Required: No

## Response Syntax
<a name="API_StartMetricsExport_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "metricsExportId": "string",
   "status": "string"
}
```

## Response Elements
<a name="API_StartMetricsExport_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [metricsExportId](#API_StartMetricsExport_ResponseSyntax) **   <a name="resiliencehub-StartMetricsExport-response-metricsExportId"></a>
Identifier of the metrics export task.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.

 ** [status](#API_StartMetricsExport_ResponseSyntax) **   <a name="resiliencehub-StartMetricsExport-response-status"></a>
Indicates the status of the metrics export task.  
Type: String  
Valid Values: `Pending | InProgress | Failed | Success` 

## Errors
<a name="API_StartMetricsExport_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You don't have permissions to perform the requested operation. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions.  
HTTP Status Code: 403

 ** ConflictException **   
This exception occurs when a conflict with a previous successful write is detected. This generally occurs when the previous write did not have time to propagate to the host serving the current request. A retry (with appropriate backoff logic) is the recommended response to this exception.    
 ** resourceId **   
The identifier of the resource that the exception applies to.  
 ** resourceType **   
The type of the resource that the exception applies to.
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the AWS Resilience Hub service.  
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
This exception occurs when you have exceeded your service quota. To perform the requested action, remove some of the relevant resources, or use Service Quotas to request a service quota increase.  
HTTP Status Code: 402

 ** ThrottlingException **   
This exception occurs when you have exceeded the limit on the number of requests per second.    
 ** retryAfterSeconds **   
The number of seconds to wait before retrying the operation.
HTTP Status Code: 429

 ** ValidationException **   
This exception occurs when a request is not valid.  
HTTP Status Code: 400

## Examples
<a name="API_StartMetricsExport_Examples"></a>

### Example
<a name="API_StartMetricsExport_Example_1"></a>

The following is an example request payload.

#### Sample Request
<a name="API_StartMetricsExport_Example_1_Request"></a>

```
{
  "bucketName": "my-bucket-name"
}
```

### Example
<a name="API_StartMetricsExport_Example_2"></a>

The following is an example response payload.

#### Sample Response
<a name="API_StartMetricsExport_Example_2_Response"></a>

```
{
  "metricsExportId": "fe0e1e00-03eb-11ee-8796-02038f8a9691",
  "status": "Pending"
}
```

## See Also
<a name="API_StartMetricsExport_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/resiliencehub-2020-04-30/StartMetricsExport) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/resiliencehub-2020-04-30/StartMetricsExport) 